package com.ywt.mg.domain.models.enums;

/**
 * 处方单推送给国控进度
 */
public enum SinopharmEnum {
    NOT_PUSHED("未推送", 0),
    DRUG_MATCHING("药品匹配信息", 1),
    CONFIRM_ORDER("处方单确认", 2),
    Failure("推送失败", 4);

    private final String displayName;
    private final int value;

    SinopharmEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }
}
